## xdoclet.modules.ejb.intf
Class ServiceEndpointSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.ejb.AbstractEjbCodeGeneratorSubTask
                      xdoclet.modules.ejb.intf.ServiceEndpointSubTask

All Implemented Interfaces:
  Serializable

public class ServiceEndpointSubTask
extends AbstractEjbCodeGeneratorSubTask

Generates service endpoint interfaces for JAXPRC beans.

Since:
  22.12.03
Version:
  $Revision: 1.2 $
Author:
  Christoph G. Jung (christoph.jung@infor.de)
See Also:
  Serialized Form
ant.element
  display-name="Service-Endpoint Interface" name="service-endpoint" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  24. Februar 2004

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`static String` `DEFAULT_SERVICE_ENDPOINT_CLASS_PATTERN`
`protected static String` `DEFAULT_TEMPLATE_FILE`
`protected String` `serviceEndpointClassPattern` A configuration parameter for specifying the service-endpoint interface name pattern.

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`ServiceEndpointSubTask()` Describe what the ServiceEndpointSubTask constructor does

Method Summary
`protected void` `engineStarted()` Describe what the method does
`protected String` `getGeneratedFileName(xjavadoc.XClass clazz)` Gets the GeneratedFileName attribute of the ServiceEndpointInterfaceSubTask object
`String` `getServiceEndpointClassPattern()` Returns the configuration parameter for specifying the service-endpoint interface name pattern.
`protected boolean` `matchesGenerationRules(xjavadoc.XClass clazz)` Describe what the method does
`void` `setPattern(String newPattern)` The pattern by which the interfaces are named.
`void` `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SERVICE_ENDPOINT_CLASS_PATTERN

    public static final String DEFAULT_SERVICE_ENDPOINT_CLASS_PATTERN

See Also:
  Constant Field Values

### DEFAULT_TEMPLATE_FILE

    protected static final String DEFAULT_TEMPLATE_FILE

See Also:
  Constant Field Values

### serviceEndpointClassPattern

    protected String serviceEndpointClassPattern

  A configuration parameter for specifying the service-endpoint interface name pattern. By default the value is used for deciding the service-endpoint interface name. {0} in the value mean current class's symbolic name which for an EJBean is the EJB name.

  See Also:
    `getServiceEndpointClassPattern()`

Constructor Detail

### ServiceEndpointSubTask

    public ServiceEndpointSubTask()

  Describe what the ServiceEndpointSubTask constructor does

Method Detail

### getServiceEndpointClassPattern

    public String getServiceEndpointClassPattern()

  Returns the configuration parameter for specifying the service-endpoint interface name pattern. By default the value is used for deciding the service-endpoint interface name. {0} in the value mean current class's symbolic name which for an EJBean is the EJB name. If nothing explicitly specified by user then "{0}" is used by default.

  Returns:
    The ServiceEndpointClassPattern value
  See Also:
    `#remoteClassPattern`

### setPattern

    public void setPattern(String newPattern)

  The pattern by which the interfaces are named. {0} designates the EJB name.

  Parameters:
    `newPattern` - The new Pattern value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XClass clazz)
                                   throws XDocletException

  Gets the GeneratedFileName attribute of the ServiceEndpointInterfaceSubTask object

  Overrides:
    `getGeneratedFileName` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The GeneratedFileName value
  Throws:
    `XDocletException`

### matchesGenerationRules

    protected boolean matchesGenerationRules(xjavadoc.XClass clazz)
                                      throws XDocletException

  Describe what the method does

  Overrides:
    `matchesGenerationRules` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/